Passer au contenu principal
PATCH
https://{tenantDomain}/api/v2
/
branding
/
phone
/
templates
/
{id}
/
reset
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using System.Collections.Generic;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Branding.Phone.Templates.ResetAsync(
            id: "id",
            request: new Dictionary<string, object>()
            {
                ["key"] = "value",
            }
        );
    }

}
{
  "content": {
    "syntax": "<string>",
    "from": "<string>",
    "body": {
      "text": "<string>",
      "voice": "<string>"
    }
  },
  "disabled": false,
  "id": "<string>",
  "channel": "<string>",
  "customizable": true,
  "tenant": "<string>"
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

id
string
requis
Required string length: 1 - 255

Corps

The body is of type any.

Réponse

The phone notification template was reset.

content
object
requis
type
enum<string>
requis
Options disponibles:
otp_verify,
otp_enroll,
change_password,
blocked_account,
password_breach
Maximum string length: 255
disabled
boolean
défaut:false
requis

Whether the template is enabled (false) or disabled (true).

id
string
Required string length: 1 - 255
channel
string
customizable
boolean
tenant
string
Required string length: 1 - 255